HaruDoc::save
HaruDoc::setCompressionMode
HaruDoc
PHP Manual

# HaruDoc::saveToStream

Save the document into a temporary stream

### Description

bool HaruDoc::saveToStream ( void )

Saves the document data into a temporary stream.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::resetStream
- HaruDoc::getStreamSize
- HaruDoc::readFromStream